%define name libjabber
%define version 1.0.1
%define release 1mdk

Summary: A jabber's librairies.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: libxode-devel 

%description
  Currently, libjabber provides Jabber transports with various
  library functions.
    

%package devel 
Summary: Package to make developpement with libjabber.
Copyright: GPL
Group: Development/C

%description devel
 Package to make developpement with libjabber.
  Currently, libjabber provides Jabber transports with various
  library functions.

%prep
%setup
%configure

%build
uname -a|grep SMP && make -j 2 || make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/include/jabber
mv $RPM_BUILD_ROOT/usr/include/jabber.h $RPM_BUILD_ROOT/usr/include/jabber

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_bindir}/*
%{_mandir}/*/*
%{_includedir}/*/*.h



%changelog
* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-1mdk
- Up to 1.0.1

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-3mdk
- Rebuild for next release

* Mon Jul  3 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-2mdk
- Move includes files in jabber subdir for correct build of jabber.

* Mon Jul  3 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-1mdk
- Fisrt mdk release


# end of file
